
Redmine - Defect #1516

Issue loses custom field values

2008-06-23 22:51 - Thomas Löber

Status: Closed Start date: 2008-06-23

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

An issue may lose all its custom field values.

Steps to reproduce:

1. create one required and one non-required issue custom field

2. create a tracker that uses these two custom fields

3. create a new issue using the tracker and enter values into both custom fields

4. when the issue is shown click on update

5. with (for example) "Firefox DOM Inspector" remove the required custom field from the DOM

6. submit the form

7. error message "<<custom field>> can't be blank" appears (which is correct)

8. enter the ticket id in the search field to reload the page

Result:

1. the issue's custom fields are blank (and no journal details are written)

Expected Result:

1. the issue should not have changed

History

#1 - 2008-06-23 22:55 - Thomas Löber

I did a bit more testing and found out that you don't have to remove the required custom field from the DOM: just leave it empty.

#2 - 2008-06-25 21:27 - Jean-Philippe Lang

Confirmed. A fix should be committed soon.

#3 - 2008-06-27 22:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

r1592 should fix this problem.

Now if you do not post custom field in your request, no change is made.

#4 - 2008-06-28 16:50 - Thomas Löber

Looks good!

Thanks!
